should show some kind of indication of system being alive during livesession boot

Bug #438762 reported by Oliver Grawert on 2009-09-29
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
casper (Ubuntu)
Undecided
Unassigned
Karmic
Medium
Martin Pitt
usplash (Ubuntu)
Medium
Martin Pitt
Karmic
Medium
Martin Pitt

Bug Description

Binary package hint: usplash

the current usplash in karmic has no progress indication anymore, nor does it show any sign of life of the system while being on screen. it just shows a white logo on black ground.

while this is fine for fast boots, live images usually take a very long time to get out of initramfs (where xsplash with a pulsating bar kicks in then).
please add some kind of "sign of life" to usplash if it boots a live session, so 30sec or 1minute boots dont give the feeling the system is locked up.

when discussing this on #ubuntu-devel suggestions for putting back the pulsating progressbar as well as making the logo pulsate itself were made.

Oliver Grawert (ogra) on 2009-09-29
Changed in usplash (Ubuntu Karmic):
milestone: none → ubuntu-9.10
importance: Undecided → Medium
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

Letting the logo pulsate would be much less intrusive at this stage, would this be fine for you?

Mat T says to have the logo pulsate in 3 second cycles between 100% and 50% of opacity.

Changed in usplash (Ubuntu Karmic):
status: New → In Progress
Oliver Grawert (ogra) wrote :

sounds great, any kind of indication of "it's alive!" is fine :)

Oliver Grawert [2009-09-29 17:15 -0000]:
> sounds great, any kind of indication of "it's alive!" is fine :)

A couple of Brits dancing and singing "I'm not quite dead yet!"? :-)

/me cheerfully remembers Spamalot

Martin Pitt (pitti) wrote :

I added the support for logo pulsating to usplash bzr now. You can either start usplash with --pulse-logo to start it right away, or do usplash_write PULSELOGO to start it afterwards.

So casper now needs to do either.

Changed in usplash (Ubuntu Karmic):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

usplash 0.5.40 uploaded, waiting in unapproved for karmic thawing after beta.

Changed in casper (Ubuntu Karmic):
status: New → Won't Fix
assignee: nobody → Martin Pitt (pitti)
importance: Undecided → Medium
milestone: none → ubuntu-9.10
status: Won't Fix → In Progress
Martin Pitt (pitti) wrote :

I'm not a casper guru, so I'm trying to find an appropriate place in casper where to put this. casper doesn't start usplash itself, so it needs to use "usplash_write PULSELOGO". It should be done soon after usplash is started, so the usual scripts in casper-bottom are a bit late.

Is it appropriate to put it into scripts/casper, right at the start of mountroot(), where the usplash timeout is also set?

Thanks!

Either that, or else a new init-top script that has OPTION=USPLASH and
PREREQ="usplash". In the latter case you'd need to explicitly check that
[ "$BOOT" = casper ].

I suspect putting it in scripts/casper:mountroot is probably neatest, at
least for the moment; it's not quite as early as possible but it will
probably do OK.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usplash - 0.5.40

---------------
usplash (0.5.40) karmic; urgency=low

  * libusplash.c: Move waiting out of dim_logo() into fade_logo(), so that we
    can use dim_logo() for asynchronous pulsating as well.
  * libusplash.{h,c}: Add pulse_logo() which lets the logo pulsate another
    step, using dim_logo(). If pulsating is enabled, call it in usplash.c's
    do_animate() function, which is already called regularly through a timer.
  * usplash.c: Do not fade out logo when pulsating is enabled, since it looks
    ugly (fade out always starts at full brightness). Doing this more smoothly
    requires some reorganization/merging of the fade/dim logic and state
    keeping.
  * usplash.c: Add option --pulse-logo which enables logo pulsating right from
    the start. Document it in usplash.8.
  * usplash.c: Add new command PULSELOGO which starts logo pulsing. Document
    it in usplash_write.8, and also refer to it in usplash.8. (LP: #438762)

 -- Martin Pitt <email address hidden> Wed, 30 Sep 2009 10:32:38 +0200

Changed in usplash (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package casper - 1.198

---------------
casper (1.198) karmic; urgency=low

  * scripts/casper: Send PULSELOGO usplash command at startup. (LP: #438762)

 -- Martin Pitt <email address hidden> Fri, 02 Oct 2009 13:51:07 +0200

Changed in casper (Ubuntu Karmic):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Apparently something here is still broken. When I boot the live system on the dailies now, it starts with the fading-in ubuntu logo, but then immediately goes black and stays that way.

Changed in usplash (Ubuntu Karmic):
status: Fix Released → In Progress
Tom D. (legend2445) on 2009-10-09
Changed in usplash (Ubuntu Karmic):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

Tom, don't just close bugs without explanation. This is still broken on the current live CDs.

Changed in usplash (Ubuntu Karmic):
status: Fix Released → In Progress
Martin Pitt (pitti) wrote :

This seem to work with today's live now. Please complain here if it still fails for you.

Changed in usplash (Ubuntu Karmic):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

For the record, Mario filed a new bug 448988 for cases where it does not work yet.

tags: added: iso-testing
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers